Skip to main content
GET
/
v1
/
invoices
/
{id}
Get administration invoice by id
curl --request GET \
  --url https://api.paytsoftware.com/v1/invoices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "category": "<string>",
  "currency_code": "<string>",
  "description": "<string>",
  "invoice_number": "<string>",
  "purchase_order_number": "<string>",
  "order_number": "<string>",
  "invoice_identifier": "<string>",
  "administration_id": "<string>",
  "credit_case_id": "<string>",
  "active_credit_case_id": "<string>",
  "debtor_id": "<string>",
  "debtor_number": "<string>",
  "id": "<string>",
  "payment_plan_id": "<string>",
  "active_payment_plan_id": "<string>",
  "payment_date": "<string>",
  "due_date": "<string>",
  "invoice_date": "<string>",
  "administration_costs_total": "<string>",
  "administration_costs_open": "<string>",
  "total_amount": "<string>",
  "open_amount": "<string>",
  "book_open_amount": "<string>",
  "book_total_amount": "<string>",
  "paused_by_user": true,
  "bailiff_at": "2023-11-07T05:31:56Z",
  "collectable_at": "2023-11-07T05:31:56Z",
  "debt_collection_at": "2023-11-07T05:31:56Z",
  "end_of_service_announcement_at": "2023-11-07T05:31:56Z",
  "end_of_service_at": "2023-11-07T05:31:56Z",
  "final_reminder_at": "2023-11-07T05:31:56Z",
  "pre_reminder_at": "2023-11-07T05:31:56Z",
  "first_reminder_at": "2023-11-07T05:31:56Z",
  "reminder_1_at": "2023-11-07T05:31:56Z",
  "reminder_2_at": "2023-11-07T05:31:56Z",
  "reminder_3_at": "2023-11-07T05:31:56Z",
  "reminder_4_at": "2023-11-07T05:31:56Z",
  "latest_reminder_at": "2023-11-07T05:31:56Z",
  "latest_summons_at": "2023-11-07T05:31:56Z",
  "notice_of_default_at": "2023-11-07T05:31:56Z",
  "paused_at": "2023-11-07T05:31:56Z",
  "pre_judicial_at": "2023-11-07T05:31:56Z",
  "pre_summons_at": "2023-11-07T05:31:56Z",
  "sent_at": "2023-11-07T05:31:56Z",
  "first_summons_at": "2023-11-07T05:31:56Z",
  "summons_1_at": "2023-11-07T05:31:56Z",
  "summons_2_at": "2023-11-07T05:31:56Z",
  "summons_3_at": "2023-11-07T05:31:56Z",
  "summons_4_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "public_url": "<string>",
  "deeplink_url": "<string>",
  "flow_code": "<string>",
  "document_url": "<string>",
  "ubl_document_url": "<string>",
  "internal_note_email_address": "<string>",
  "invoice_lines": [
    {
      "description": "<string>",
      "product_unit": "<string>",
      "vat_percentage": "<string>",
      "vat_rate_code": "<string>",
      "product_quantity": "<string>",
      "line_order": 123,
      "product_price": "<string>",
      "total_excl_tax_amount": "<string>",
      "total_incl_tax_amount": "<string>",
      "vat_amount": "<string>"
    }
  ],
  "labels": [
    {
      "name": "<string>"
    }
  ],
  "peppol_identifier": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Path Parameters

id
string
required

Invoice identifier

Query Parameters

administration_id
string
required

Administration identifier

identifier_type
string

Type of invoice identifier to use (can be 'invoice_number', 'invoice_identifier' or left blank to use internal id)

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

Response

Invoice

CustomerApi_V1_InvoiceEntity model

category
string
required

Category

currency_code
string
required

Currency code in ISO 4217 format

description
string
required

Description

invoice_number
string
required

Invoice number

purchase_order_number
string
required

Purchase order number

order_number
string
required

Order number

invoice_identifier
string
required

Invoice identifier from accounting software

payment_method
enum<string>
required

The method of payment as intended, not necessarily the actual method of payment

Available options:
bank_transfer,
direct_debit,
cash,
none,
unknown
administration_id
string
required

Owning administration identifier

credit_case_id
string
required

DEPRECATED, use active_credit_case_id instead

active_credit_case_id
string
required

Associated active credit case.

debtor_id
string
required

Internal debtor identifier

debtor_number
string
required

Number of the debtor

id
string
required

Unique identifier

payment_plan_id
string
required

DEPRECATED, use active_payment_plan_id instead

active_payment_plan_id
string
required

Associated active payment plan.

payment_date
string
required

Date the invoice was fully paid

due_date
string
required

Due date

invoice_date
string
required

Invoice date

administration_costs_total
string
required

Total administration costs amount in invoice currency

administration_costs_open
string
required

Open administration costs amount in invoice currency

total_amount
string
required

Total amount in invoice currency

open_amount
string
required

Open amount in invoice currency

book_open_amount
string
required

Open amount in administration currency

book_total_amount
string
required

Total amount in administration currency

paused_by_user
boolean
required

Whether the invoice was paused by a user

bailiff_at
string<date-time>
required

Timestamp at which the invoice was forwarded to a bailiff

collectable_at
string<date-time>
required

Timestamp after which the invoice became ready for debt collection

debt_collection_at
string<date-time>
required

Timestamp at which the invoice was sent to debt collection

end_of_service_announcement_at
string<date-time>
required

Timestamp at which the end of service was announced

end_of_service_at
string<date-time>
required

Timestamp at which the service was ended

final_reminder_at
string<date-time>
required

Timestamp at which the final reminder was sent

pre_reminder_at
string<date-time>
required

Timestamp at which the pre_reminder was sent. This is a reminder sent on or before the due_date and is not considered a true reminder.

first_reminder_at
string<date-time>
required

DEPRECATED: use reminder_1_at instead

reminder_1_at
string<date-time>
required

Timestamp at which the first reminder was sent

reminder_2_at
string<date-time>
required

Timestamp at which the second reminder was sent

reminder_3_at
string<date-time>
required

Timestamp at which the third reminder was sent

reminder_4_at
string<date-time>
required

Timestamp at which the fourth reminder was sent

latest_reminder_at
string<date-time>
required

Timestamp at which the latest reminder was sent. This value will be higher than the highest reminder_X_at when the invoice is mentioned in a final reminder, or when more than 4 bundled reminders have been sent. A pre_reminder is not considered a true reminder so sending one will not result in the latest_reminder_at being set.

latest_summons_at
string<date-time>
required

Timestamp at which the latest summons was sent. This value will be higher than the highest summons_X_at when the credit_case of the invoice is mentioned in a notice of default.

notice_of_default_at
string<date-time>
required

Timestamp at which the notice of default was sent

paused_at
string<date-time>
required

Timestamp at which the invoice was paused

pre_judicial_at
string<date-time>
required

Timestamp at which the pre-judicial phase started

pre_summons_at
string<date-time>
required

Timestamp at which the debt collection notice was performed

sent_at
string<date-time>
required

Timestamp at which the invoice was sent to the debtor

first_summons_at
string<date-time>
required

DEPRECATED: use summons_1_at instead

summons_1_at
string<date-time>
required

Timestamp at which the first summons was sent

summons_2_at
string<date-time>
required

Timestamp at which the second summons was sent

summons_3_at
string<date-time>
required

Timestamp at which the third summons was sent

summons_4_at
string<date-time>
required

Timestamp at which the fourth summons was sent

updated_at
string<date-time>
required

Timestamp at which the invoice was last updated

public_url
string

Link to the debtor portal (request with the 'fields' parameter)

URL to the invoice in the debtor management interface (request with the 'fields' parameter)

flow_code
string

Code of current flow

document_url
string

URL to the invoice document (request with the 'fields' parameter)

ubl_document_url
string

URL to the UBL invoice document (request with the 'fields' parameter)

internal_note_email_address
string

Internal note email address

invoice_lines
object[]

Invoice lines

labels
object[]

Labels (request with the 'fields' parameter)

peppol_identifier
string

Peppol identifier (request with the 'fields' parameter)

Last modified on June 12, 2026